# Uses of Class
java.lang.reflect.AccessibleObject

Packages that use AccessibleObject
Package
Description
java.lang.reflect
Provides classes and interfaces for obtaining reflective information about classes and objects.

## Uses of AccessibleObject in java.lang.reflect

Subclasses of AccessibleObject in java.lang.reflect
Modifier and Type
Class
Description
`final class`
`Constructor<T>`
`Constructor` provides information about, and access to, a single constructor for a class.
`class`
`Executable`
A shared superclass for the common functionality of `Method` and `Constructor`.
`final class`
`Field`
A `Field` provides information about, and dynamic access to, a single field of a class or an interface.
`final class`
`Method`
A `Method` provides information about, and access to, a single method on a class or interface.
Methods in java.lang.reflect with parameters of type AccessibleObject
Modifier and Type
Method
Description
`static void`
AccessibleObject.`setAccessible(AccessibleObject[] array, boolean flag)`
Convenience method to set the `accessible` flag for an array of reflected objects.